Name: libpqtypes
Version: 1.5.1
Release: 1%{?dist}
Summary: Software extension to the PostgreSQL libpq interface

License: PostgreSQL
URL: http://libpqtypes.esilo.com/
Source0: http://pgfoundry.org/frs/download.php/3484/libpqtypes-1.5.1.tar.gz

BuildRequires: postgresql-devel
Requires: postgresql%{?_isa} >= 8.4
Group: Development/Libraries

%description
libpqtypes is a libpq extension that offers a new way of handling
parameterized queries and getting result field values. Both putting
parameters and getting values use a printf/scanf style interface,
with consistent specifiers for both.

%package devel
Summary: libpqtypes development files
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
libpqtypes development files

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';' 

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/libpqtypes.so.*
%doc LICENSE
%doc AUTHORS
%doc ChangeLog

%files devel
%{_libdir}/libpqtypes.so
%{_includedir}/libpqtypes.h
%{_mandir}/man3/*

%changelog
* Fri Jun 28 2013 Jozef Mlich <jmlich@redhat.com> - 1.5.1
- packaging into fedora (i.e. creating of spec file)
